#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>
#import "SFAdditions.h"

@interface MainImageView : NSImageView {

	NSImage *theImage;
	IBOutlet NSTextField *imageLocation;
	IBOutlet NSTextField *hueValue;
	IBOutlet NSTextField *discBlurValue;
	IBOutlet NSSlider	*zoomSlider;
	IBOutlet NSSlider	*hueSlider;
	IBOutlet NSSlider	*discBlurSlider;
	
	//filter values
	float hueAdjust;
	float discBlur;
}

- (void)loadImageFromPath:(NSString *)aPath;
- (void)changeZoom:(float)floatValue;
- (void)resetAllValues;

- (IBAction)selectNewImage:(id)sender;
- (IBAction)saveImage:(id)sender;
- (IBAction)zoomSliderDidChange:(id)sender;

- (IBAction)hueAdjustSliderDidChange:(id)sender;
- (IBAction)discBlurSliderDidChange:(id)sender;
- (IBAction)ApplyHue:(id)sender;
- (IBAction)applyDiscBlur:(id)sender;
@end